%     Copyright (C) 2023 Jordi Cano. Contact: jordi.cg89@gmail.com
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <https://www.gnu.org/licenses/>

function Analize_population
%Analize_population Analizes a population to check its normality

close all

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
popname     = 'Population_50000_each.mat';
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

L           = load(popname);
scalar_mat  = L.scalar_mat;
channels    = L.channels;
coords      = L.coords;
NC          = length(channels);
savefolder  = [popname(1:end-4) '_initial_analysis'];
mkdir(savefolder);

for i = 1:NC
    
    % Extract plottable
    pop(:) = scalar_mat(:,1,i);
    popf(:) = scalar_mat(:,2,i);
    
    figure(); hold on;
    histogram(pop);
    histogram(popf);
    title(channels{i})
    legend('male','female');
    
    saveas(gcf,[savefolder '\' channels{i} '.fig']);
    
end

end

